### Enumeration

# EBookContacts PhoneNumberMatch

since: 3.8

#### Declaration

    enum EBookContacts.PhoneNumberMatch

#### Description [src]

The strength of a phone number match.

Some examples of phone number matches Let’s consider the phone number “+1-221-5423789”, then comparing with “+1.221.542.3789” we have get E_PHONE_NUMBER_MATCH_EXACT because country code, region code and local number are matching. Comparing with “2215423789” will result in E_PHONE_NUMBER_MATCH_NATIONAL because the country calling code is missing, but the national portion is matching. Finally comparing with “5423789” gives E_PHONE_NUMBER_MATCH_SHORT. For more detail have a look at the following table:

+1-617-5423789 +1-221-5423789 221-5423789 5423789
+1-617-5423789 exact none none short
+1-221-5423789 none exact national short
221-5423789 none national national short
5423789 short short short short

.

Available since: 3.8

#### Members

`E_PHONE_NUMBER_MATCH_NONE`

  The phone numbers did not match.

  - Value: `0`
  - Available since: 3.8
`E_PHONE_NUMBER_MATCH_EXACT`

  The phone numbers matched exactly. Two phone number strings are an exact match if the country code, national phone number, presence of a leading zero for Italian numbers and any extension present are the same.

  - Value: `1`
  - Available since: 3.8
`E_PHONE_NUMBER_MATCH_NATIONAL`

  The national phone number matched. Two phone number strings match at this strength if either or both has no region specified, and the national phone number and extensions are the same.

  - Value: `1024`
  - Available since: 3.8
`E_PHONE_NUMBER_MATCH_SHORT`

  The weakest sort of match. Two phone numbers match at this strength if either or both has no region specified, or the region specified is the same, and one national phone number could be a shorter version of the other number. This includes the case where one has an extension specified, and the other does not.

  - Value: `2048`
  - Available since: 3.8